View Issue Details

IDProjectCategoryView StatusLast Update
0017485LazarusLCLpublic2011-01-02 21:12
ReporterPatrick Chevalley Assigned ToDmitry Boyarintsev  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN) 
Summary0017485: Changing Font.size as no effect on Mac OS X
DescriptionOn Mac OS X changing Font.Size from the IDE or from the code as no effect, the text stay with default size.

This affect TEdit, TButton, TCombobox, TCheckbox and probably other.

This work as expected for TMemo, TLabel and TPanel.

TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetCarbon
Attached Files

Relationships

related to 0018273 closedDmitry Boyarintsev Missing fonts on Carbon, etc. 

Activities

Patrick Chevalley

2010-12-29 20:42

reporter   ~0044692

This issue is fixed when using today Lazarus svn 28832.

This was probably related to font selection describe by issue 18273 and solved at the same time.

Issue History

Date Modified Username Field Change
2010-09-24 15:57 Patrick Chevalley New Issue
2010-09-24 15:57 Patrick Chevalley Widgetset => Carbon
2010-10-29 11:10 Vincent Snijders LazTarget => -
2010-10-29 11:10 Vincent Snijders Assigned To => Dmitry Boyarintsev
2010-10-29 11:10 Vincent Snijders Status new => assigned
2010-12-29 20:42 Patrick Chevalley Note Added: 0044692
2010-12-29 20:48 Vincent Snijders Relationship added related to 0018273
2010-12-29 20:48 Vincent Snijders Status assigned => resolved
2010-12-29 20:48 Vincent Snijders Resolution open => fixed
2011-01-02 21:12 Patrick Chevalley Status resolved => closed